%datum na cislo zadan
clear;
clc;


nar = [1979 10 29]; %datum narozen [rok mesic den]

nar(1) = nar(1) + 20;% +20 let

MJD = civil2mjd(nar);% prevod na MJD

GPS = mjd2gpsw(MJD);

GPS_tyden = GPS(1);


fprintf(1,'\n\ndatum  %.f.%.f.%.f je:\n',nar(3),nar(2),nar(1));

fprintf(1,'\n         MJD = %.f\n',MJD);

fprintf(1,'\n   GPS tden = %.f\n',GPS_tyden);

GPS_den = GPS(2)/86400;

fprintf(1,'     GPS den = %.f\n',GPS_den);


fprintf(1,'   \npotrebujes soubory\n\n');

fprintf(1,'   ftp://igscb.jpl.nasa.gov/igscb/product/%04.f/igs%04.f%.f.sp3.Z (poloha druzic)\n',GPS_tyden,GPS_tyden,GPS_den);
fprintf(1,'   ftp://igscb.jpl.nasa.gov/igscb/product/%04.f/igs%04.f7.erp.Z (souradnice polu a rozdl UT1-UTC)\n',GPS_tyden,GPS_tyden);

fprintf(1,'   \n{rozbal se WinZipem (www.winzip.com) nebo gzipem (www.gzip.org)}\n\n');

fprintf(1,'     GPS cas - UTC = 13 vterin (vzdy - je to konstanta)\n');

% fprintf(1,'\n   od 1.1.1999 je:\n\n');
% fprintf(1,'         TAI - UTC = 32 vterin\n');


fprintf(1,'\n\npriklad spusteni programu "sp3crs"\n\n');

fprintf(1,'sp3crs -xp 20490 -yp 383336 -ut 4353535 -gp 13 1 IGS10335.SP3 > vystup.txt\n');
fprintf(1,'       <---    ze souboru *.er     --->     13 1    *.sp3\n');
fprintf(1,'              pro prislusn MJD                \\\n');
fprintf(1,'                                                \\__ cislo druzice ktera se uloz do vstupnho souboru\n\n\n');